#include <stdio.h>

typedef enum {
    NEGATIVO,
    POSITIVO
} sinal_t;

typedef struct {
    sinal_t sinal;
    unsigned int numerador;
    unsigned int denominador;
} racional_t;

void imprime_racional(racional_t r)
{
    printf("%c", r.sinal == POSITIVO ? '+' : '-');
    printf("%u/%u", r.numerador, r.denominador);
}

racional_t mult_racional(racional_t r1, racional_t r2)
{
    racional_t resultado;
    resultado.sinal = (r1.sinal == r2.sinal ? POSITIVO : NEGATIVO);
    resultado.numerador = r1.numerador * r2.numerador;
    resultado.denominador = r1.denominador * r2.denominador;
    return resultado;
}

int main(void)
{
    racional_t x = { POSITIVO, 2, 5 };
    racional_t y = { NEGATIVO, 1, 2 };
    racional_t z = mult_racional(x, y);
    imprime_racional(x);
    printf(" * ");
    imprime_racional(y);
    printf(" = ");
    imprime_racional(z);
    return 0;
}
